#pragma once

#include "Core/Singleton.h"
#include "Core/Constant.h"

class IpcMoudle : public Singleton<IpcMoudle> {
    NON_COPYABLE(IpcMoudle)

public:
    IpcMoudle() = default;
    virtual ~IpcMoudle() = default;
    bool Initialize() override;
    void Uninitialize() override;
};

